#
# spec file for package python-sqlite (Version 1.1.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           python-sqlite
BuildRequires:  python-devel sqlite-devel
Version:        1.1.8
Release:        1.3
Summary:        Python bindings for sqlite
Group:          Development/Libraries/Python
License:        zlib/libpng License
URL:            http://pysqlite.org/
Source:         pysqlite-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%py_requires

%description
This packages allows you to use sqlite with python. sqlite is a simple
database engine.



Authors:
--------
    Michael Owens <mike@mikesclutter.com>
    Gerhard Hring <gh@ghaering.de>

%prep
%setup -q -n pysqlite-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{py_sitedir}/sqlite
%{py_sitedir}/_sqlite.so
%if %{suse_version} > 1010
%{py_sitedir}/*.egg-info
%endif

%changelog
* Sat Oct 21 2006 cthiel@suse.de
- update to version 1.1.8
  * fixed a memory leak
* Mon Oct  2 2006 cthiel@suse.de
- fix build on older distributions
* Thu Sep 21 2006 cthiel@suse.de
- fix build with python 2.5
* Mon Apr 24 2006 cthiel@suse.de
- update to version 1.1.7
  * Fixed an API misuse that made pysqlite 1.1.x unusable with SQLite
    versions 3.3.3 or later.
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Thu Sep 15 2005 cthiel@suse.de
- specfile cleanup
* Sun Aug 14 2005 cthiel@suse.de
- initial package (version 1.1.6)
